Bug #2245

Maven build error with jdk 1.7

Added by François ARMAND about 2 years ago. Updated about 2 years ago.

Status:Released Start date:2012-02-07
Priority:1 Due date:
Assignee:François ARMAND % Done:

100%

Category:Architecture - Refactoring
Target version:2.3.7
Needs translating:No Pull Request:

Description

It seems that depending of the environment, Rudder Ldap-inventory project does not build with an open JDK 7 JVM.

The build fails with the error reported here: http://stackoverflow.com/questions/7539970/cannot-construct-org-apache-maven-plugin-war-util-webappstructure-as-it-does-not

Associated revisions

Revision 5d50e362
Added by François ARMAND about 2 years ago

Fixes #2245: maven error when building with Open JDK 1.7

Revision 50eb4082
Added by Jonathan CLARKE about 2 years ago

Merge branch 'branches/rudder/2.3'

  • branches/rudder/2.3:
    Fixes #2245: maven error when building with Open JDK 1.7
    Fixes #2242: add the public rudder repos so that public user could build 2.3 branch

History

#1 Updated by François ARMAND about 2 years ago

  • Status changed from Qualified to Pending technical review
  • % Done changed from 0 to 100

Applied in changeset commit:5d50e36221143094c49672b4cef19fa1bad4fc3b.

#2 Updated by Nicolas CHARLES about 2 years ago

  • Status changed from Pending technical review to Released

Thank you Francois

Also available in: Atom PDF